Sets the image matte color

- « Imagick::setImageMatte

- Imagick::setImageOpacity »

- PHP Manual
- Imagick
- Sets the image matte color

# Imagick::setImageMatteColor

(PECL imagick 2, PECL imagick 3)

Imagick::setImageMatteColor — Sets the image matte color

Warning

This function has been DEPRECATED as of Imagick 3.4.4. Relying on this function is highly discouraged.

### Description

public Imagick::setImageMatteColor(mixed `$matte`): bool

Sets the image matte color.

### Parameters

`matte`

### Return Values

Returns `true` on success.

### Errors/Exceptions

Throws ImagickException on error.

### Changelog

Version | Description
--- | ---
PECL imagick 2.1.0 | Now allows a string representing the color as the parameter. Previous versions allow only an ImagickPixel object.